org.apache.ignite.internal.portable.api

## Interface PortableMarshalAware

All Known Implementing Classes:
  PlatformDotNetConfiguration, PlatformDotNetPortableConfiguration, PlatformDotNetPortableTypeConfiguration, PortableMetaDataImpl

    public interface PortableMarshalAware

Interface that allows to implement custom serialization logic for portable objects. Portable objects are not required to implement this interface, in which case Ignite will automatically serialize portable objects using reflection.

This interface, in a way, is analogous to `Externalizable` interface, which allows users to override default serialization logic, usually for performance reasons. The only difference here is that portable serialization is already very fast and implementing custom serialization logic for portables does not provide significant performance gains.

### Method Summary

Methods
`void` `readPortable(PortableReader reader)` Reads fields from provided reader.
`void` `writePortable(PortableWriter writer)` Writes fields to provided writer.

### Method Detail

#### writePortable

    void writePortable(PortableWriter writer)
                       throws PortableException

Writes fields to provided writer.

Parameters:
  `writer` - Portable object writer.
Throws:
  `PortableException` - In case of error.

#### readPortable

    void readPortable(PortableReader reader)
                      throws PortableException

Reads fields from provided reader.

Parameters:
  `reader` - Portable object reader.
Throws:
  `PortableException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.4.0
Release Date | : September 24 2015